curl --request POST \
--url https://ai.wisepilot.app/api/v1/finance/costs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"amount_cents": 123,
"frequency": "monthly",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_shared": false,
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"name": "<string>",
"amount_cents": 123,
"frequency": "monthly",
"is_shared": true,
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Create a new cost record for a business entity.
curl --request POST \
--url https://ai.wisepilot.app/api/v1/finance/costs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"category": "<string>",
"amount_cents": 123,
"frequency": "monthly",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_shared": false,
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"name": "<string>",
"amount_cents": 123,
"frequency": "monthly",
"is_shared": true,
"product_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)